Package com.trilead.ssh2

# Class SFTPException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.trilead.ssh2.SFTPException

All Implemented Interfaces:
  `Serializable`

public class SFTPException extends IOException
Used in combination with the SFTPv3Client. This exception wraps error messages sent by the SFTP server.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`int`
`getServerErrorCode()`
Get the error code sent by the server.
`String`
`getServerErrorCodeSymbol()`
Get the symbolic name of the error code as given in the SFTP specs.
`String`
`getServerErrorCodeVerbose()`
Get the description of the error code as given in the SFTP specs.
`String`
`getServerErrorMessage()`
Get the error message sent by the server.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getServerErrorMessage

public String getServerErrorMessage()
Get the error message sent by the server. Often, this message does not help a lot (e.g., "failure").

Returns:
  the plain string as sent by the server.

### getServerErrorCode

public int getServerErrorCode()
Get the error code sent by the server.

Returns:
  an error code as defined in the SFTP specs.

### getServerErrorCodeSymbol

public String getServerErrorCodeSymbol()
Get the symbolic name of the error code as given in the SFTP specs.

Returns:
  e.g., "SSH_FX_INVALID_FILENAME".

### getServerErrorCodeVerbose

public String getServerErrorCodeVerbose()
Get the description of the error code as given in the SFTP specs.

Returns:
  e.g., "The filename is not valid."